Bug 104894 - [GTK] Remove deprecated API usage
: [GTK] Remove deprecated API usage
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
:
Depends on: 113927
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-13 02:39 PST by Claudio Saavedra
Modified: 2013-04-16 02:39 PDT (History)
11 users (show)

See Also:


Attachments
2012-12-13 Claudio Saavedra <csaavedra@igalia.com> (2.19 KB, patch)
2012-12-13 04:01 PST, Claudio Saavedra
no flags Details | Formatted Diff | Diff
[GTK] Remove deprecated API usage https://bugs.webkit.org/show_bug.cgi?id=104894 (3.13 KB, patch)
2012-12-13 04:02 PST, Claudio Saavedra
no flags Details | Formatted Diff | Diff
[GTK] Remove deprecated API usage https://bugs.webkit.org/show_bug.cgi?id=104894 (4.14 KB, patch)
2012-12-13 07:22 PST, Claudio Saavedra
no flags Details | Formatted Diff | Diff
[GTK] Remove deprecated API usage https://bugs.webkit.org/show_bug.cgi?id=104894 (4.17 KB, patch)
2012-12-13 08:20 PST, Claudio Saavedra
eflews.bot: commit‑queue-
Details | Formatted Diff | Diff
Patch (5.22 KB, patch)
2013-04-04 00:37 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (13.63 KB, patch)
2013-04-05 01:15 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (13.68 KB, patch)
2013-04-15 01:55 PDT, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Claudio Saavedra 2012-12-13 02:39:42 PST
GTK+ and soup have deprecated a few functions.
Comment 1 Claudio Saavedra 2012-12-13 04:01:58 PST
Created attachment 179245 [details]
2012-12-13  Claudio Saavedra  <csaavedra@igalia.com>

[GTK] Remove deprecated API usage
        https://bugs.webkit.org/show_bug.cgi?id=104894

        Reviewed by NOBODY (OOPS!).

        Remove deprecated GTK+ API usage.

        * platform/gtk/RenderThemeGtk3.cpp:
        (WebCore::spinButtonArrowSize): Do not use deprecated
        gtk_style_context_get_font().
Comment 2 Claudio Saavedra 2012-12-13 04:02:00 PST
Created attachment 179246 [details]
        [GTK] Remove deprecated API usage         https://bugs.webkit.org/show_bug.cgi?id=104894

Reviewed by NOBODY (OOPS!).

        Remove deprecated libsoup API usage.

        * platform/network/soup/ResourceHandleSoup.cpp:
        (WebCore::ensureSessionIsInitialized): No need
        to add the requester feature.
        (WebCore::createSoupRequestAndMessageForHandle): SoupSession
        has a requester API, use it.
Comment 3 Sergio Villar Senin 2012-12-13 04:07:27 PST
(In reply to comment #2)
> Created an attachment (id=179246) [details]
>         [GTK] Remove deprecated API usage         https://bugs.webkit.org/show_bug.cgi?id=104894
> 
> Reviewed by NOBODY (OOPS!).
> 
>         Remove deprecated libsoup API usage.
> 
>         * platform/network/soup/ResourceHandleSoup.cpp:
>         (WebCore::ensureSessionIsInitialized): No need
>         to add the requester feature.
>         (WebCore::createSoupRequestAndMessageForHandle): SoupSession
>         has a requester API, use it.

LGTM but we have to bump the libsoup dependency as well if we integrate this.
Comment 4 Claudio Saavedra 2012-12-13 07:22:04 PST
Created attachment 179271 [details]
[GTK] Remove deprecated API usage         https://bugs.webkit.org/show_bug.cgi?id=104894

Reviewed by NOBODY (OOPS!).

        Remove deprecated libsoup API usage.

        * platform/network/soup/ResourceHandleSoup.cpp:
        (WebCore::ensureSessionIsInitialized): No need
        to add the requester feature.
        (WebCore::createSoupRequestAndMessageForHandle): SoupSession
        has a requester API, use it.
Comment 5 Martin Robinson 2012-12-13 07:39:11 PST
Comment on attachment 179271 [details]
[GTK] Remove deprecated API usage         https://bugs.webkit.org/show_bug.cgi?id=104894

View in context: https://bugs.webkit.org/attachment.cgi?id=179271&action=review

> Source/WebCore/ChangeLog:24
>  
> +        Remove deprecated libsoup API usage.
> +
> +        * platform/network/soup/ResourceHandleSoup.cpp:
> +        (WebCore::ensureSessionIsInitialized): No need
> +        to add the requester feature.
> +        (WebCore::createSoupRequestAndMessageForHandle): SoupSession
> +        has a requester API, use it.
> +
> +2012-12-13  Claudio Saavedra  <csaavedra@igalia.com>
> +
> +        [GTK] Remove deprecated API usage
> +        https://bugs.webkit.org/show_bug.cgi?id=104894
> +
> +        Reviewed by NOBODY (OOPS!).
> +
>          Remove deprecated GTK+ API usage.
>  

Your changelog here is in the middle of the file so it could possibly make the bots sick if we land this via the commit queue.
Comment 6 Claudio Saavedra 2012-12-13 08:20:09 PST
Created attachment 179277 [details]
[GTK] Remove deprecated API usage         https://bugs.webkit.org/show_bug.cgi?id=104894

Reviewed by NOBODY (OOPS!).

        Remove deprecated libsoup API usage.

        * platform/network/soup/ResourceHandleSoup.cpp:
        (WebCore::ensureSessionIsInitialized): No need
        to add the requester feature.
        (WebCore::createSoupRequestAndMessageForHandle): SoupSession
        has a requester API, use it.

https://bugs.webkit.org/show_bug.cgi?id=104896
Comment 7 Claudio Saavedra 2012-12-13 08:20:50 PST
Comment on attachment 179277 [details]
[GTK] Remove deprecated API usage         https://bugs.webkit.org/show_bug.cgi?id=104894

Fixed that.
Comment 8 WebKit Review Bot 2012-12-13 09:15:00 PST
Comment on attachment 179245 [details]
2012-12-13  Claudio Saavedra  <csaavedra@igalia.com>

Clearing flags on attachment: 179245

Committed r137602: <http://trac.webkit.org/changeset/137602>
Comment 9 Claudio Saavedra 2012-12-13 09:18:54 PST
So we've agreed with the EFL guys to hold on the libsoup patch until there's a tarball.
Comment 10 EFL EWS Bot 2012-12-13 11:07:38 PST
Comment on attachment 179277 [details]
[GTK] Remove deprecated API usage         https://bugs.webkit.org/show_bug.cgi?id=104894

Attachment 179277 [details] did not pass efl-ews (efl):
Output: http://queues.webkit.org/results/15309357
Comment 11 Manuel Rego Casasnovas 2013-04-04 00:37:33 PDT
Created attachment 196449 [details]
Patch

Since libsoup version has been bumped in r147547 it seems that now this patch could be applied at the end. I'm uploading a new patch as the deprecated API is used from WK2 so we should remove it too. Moreover the configure.ac stuff seems not needed now.
Comment 12 EFL EWS Bot 2013-04-04 00:42:45 PDT
Comment on attachment 196449 [details]
Patch

Attachment 196449 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17470039
Comment 13 Dan Winship 2013-04-04 06:18:18 PDT
Comment on attachment 196449 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=196449&action=review

> Source/WebCore/platform/network/soup/ResourceHandleSoup.cpp:58
>  #define LIBSOUP_USE_UNSTABLE_REQUEST_API
>  #include <libsoup/soup-multipart-input-stream.h>

Once GTK and EFL both depend on 2.42, you should not need to define LIBSOUP_USE_UNSTABLE_REQUEST_API anywhere, and you should not need to include any libsoup headers other than <libsoup/soup.h> anywhere.

> Source/WebKit2/WebProcess/soup/WebSoupRequestManager.cpp:-107
> -    soup_session_feature_add_feature(SOUP_SESSION_FEATURE(requester.get()), WEBKIT_TYPE_SOUP_REQUEST_GENERIC);

You don't want to remove this, you just want to change it to

  soup_session_add_feature_by_type (session, WEBKIT_TYPE_SOUP_REQUEST_GENERIC);
Comment 14 Build Bot 2013-04-04 14:14:08 PDT
Comment on attachment 196449 [details]
Patch

Attachment 196449 [details] did not pass win-ews (win):
Output: http://webkit-commit-queue.appspot.com/results/17519134
Comment 15 Manuel Rego Casasnovas 2013-04-05 01:15:15 PDT
Created attachment 196593 [details]
Patch
Comment 16 EFL EWS Bot 2013-04-05 01:37:41 PDT
Comment on attachment 196593 [details]
Patch

Attachment 196593 [details] did not pass efl-ews (efl):
Output: http://webkit-commit-queue.appspot.com/results/17438170
Comment 17 Sergio Villar Senin 2013-04-09 08:32:32 PDT
Comment on attachment 196593 [details]
Patch

The patch LGTM but you would need to update EFL's jhbuild dependencies.
Comment 18 Manuel Rego Casasnovas 2013-04-09 08:44:35 PDT
(In reply to comment #17)
> (From update of attachment 196593 [details])
> The patch LGTM but you would need to update EFL's jhbuild dependencies.

Yes, we already talked about that and the patch for bumping the EFL dependencies has already r+ (see bug #113927).

So, we're waiting for r+ here and then we should land both patches manually one after the other to avoid breaking EFL port.
Comment 19 Manuel Rego Casasnovas 2013-04-15 01:55:38 PDT
Created attachment 198035 [details]
Patch

Rebased patch as it doesn't apply in current trunk, due to a small conflict in WebKit2/WebProcess/soup/WebProcessSoup.cpp.
Comment 20 EFL EWS Bot 2013-04-15 02:01:28 PDT
Comment on attachment 198035 [details]
Patch

Attachment 198035 [details] did not pass efl-ews (efl):
Output: http://webkit-queues.appspot.com/results/161046
Comment 21 Philippe Normand 2013-04-16 02:39:47 PDT
Comment on attachment 198035 [details]
Patch

Clearing flags on attachment: 198035

Committed r148507: <http://trac.webkit.org/changeset/148507>
Comment 22 Philippe Normand 2013-04-16 02:39:55 PDT
All reviewed patches have been landed.  Closing bug.